function pdb = pdbTransform(T,vec_list)
%
%  $BEGIN
%  $HEADER pdbTransform
%
%  This script is a simple utilty to transform
%  an array of (x,y,z) position vectors from
%  their initial reference frame to a new frame
%  defined by the transformation matrix T.
%
%  $HEADER REFERENCE
%
%  $HEADER PROGRAMMER
%  John W. Craft, Jr.
%  University of Houston, (2005)
%
%  $HEADER VERSION
%  1.0.0
%
%  Example
%  pdb_coordinates = pdbTransform(T,vec_list)
%
%  See Also pdbTranslate
%  
%  $END
%

[m,n] = size(vec_list);

for i = 1:m
  a = vec_list(i,:);

  b = T * a';

  pdb(i,:) = b;

end

