function pdb = pdbTranslate(vec_list)
%
%  $BEGIN
%  $HEADER translate
%
%  This script is a simple utility to 
%  translate a vector list to an origin
%  defined by the first (x,y,z) coordinate
%  It is used in the amino acid library
%  toolbox.
%
%  $HEADER REFERENCE
%
%  $HEADER PROGRAMMER
%  John W. Craft, Jr.
%  University of Houston, (2005)
%
%  $HEADER VERSION
%  1.0.0
%
%  Example
%  pdb_coordinates = pdbTranslate(vec_list)
%
%  See Also pdbTranslateN pdbTransform
%  
%  $END
%

[m,n] = size(vec_list);

delta = vec_list(1,:);

for i = 1:m
  a = vec_list(i,:);

  b = a - delta;

  pdb(i,:) = b;

end

